type shape = record w,h,i,n:integer;a:array[1..maxint] of integer; end;
     pshape = ^shape;
function makeshape(w,h:integer):pshape; extern;
function readshape:pshape; extern;
procedure drawshape(var s:shape; x,y:integer); extern;
procedure setdot(var s:shape; x,y:integer); extern;
procedure cleardot(var s:shape;x,y:integer); extern;
function dotset(var s:shape; x,y:integer):boolean; extern;
